IMAP: emails with (BODY ("MIXED")) returned from fetch fail to parse
Target version: 2.0.0   
Description

I'm not sure if this is even valid IMAP (I couldn't find a reference to it in the RFC), but Google's IMAP server seems to return these

occasionally. Found a message in my Inbox that wouldn't parse because of this.

I've added a test and fixed the module. Will post the pull request here right away.

Associated revisions

Revision bd6bb6c0b26168833ff9027611a3febc6eeca91b - 10/17/2012 06:18 AM - shugo (Shugo Maeda)

lib/net/imap.rb: fix Net::IMAP::ResponseParser to accept

message/delivery-status ([ruby-core:47920] [Bug #7146]),

message/rfc822 attachments ([ruby-core:47921] [Bug #7147]), and

(BODY ("MIXED")) ([ruby-core:47951] [Bug #7153]).

test/net/imap/test_imap_response_parser.rb: related test.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37240 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision bd6bb6c0 - 10/17/2012 06:18 AM - shugo (Shugo Maeda)

lib/net/imap.rb: fix Net::IMAP::ResponseParser to accept

message/delivery-status ([ruby-core:47920] [Bug #7146]),

message/rfc822 attachments ([ruby-core:47921] [Bug #7147]), and

(BODY ("MIXED")) ([ruby-core:47951] [Bug #7153]).

test/net/imap/test_imap_response_parser.rb: related test.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37240 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/13/2012 12:48 PM - tonyarkles (Tony Arkles)

OK, the patch for this will have conflicts with the patches for #7145, #7146, and #7147 because it also adds unit tests to

test_imap_response_parser.rb. I'm not sure what the best approach is for this... Whether to wait until that pull request is accepted and do a second

one, or to just add this fix into the original pull request.

#2 - 10/13/2012 01:23 PM - tonyarkles (Tony Arkles)

Pull request: https://github.com/ruby/ruby/pull/196

#3 - 10/17/2012 03:18 PM - shugo (Shugo Maeda)

- Status changed from Open to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r37240.

Tony, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.
